textures/dlux2/airshaft
{
	qer_editorimage textures/dlux2/airshaft.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dlux2/airshaft.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/dlux2/sand
{
	qer_editorimage textures/temperate_sd/dirt3.tga
	q3map_nonplanar
	q3map_shadeangle 135
	surfaceparm landmine
	surfaceparm gravelsteps
	implicitMap textures/temperate_sd/dirt3.tga
}

textures/dlux2/brokestreet
{
	qer_editorimage textures/dlux2/brokestreet.tga
	q3map_nonplanar
	q3map_shadeangle 135
	surfaceparm landmine
	surfaceparm gravelsteps
	implicitMap textures/dlux2/brokestreet.tga
}

textures/dlux2/unitflag
{
	surfaceparm nomarks // added
	qer_editorimage textures/dlux2/unitflag.tga
	q3map_bounceScale 0.2

	surfaceparm alphashadow
	deformVertexes wave 10 sin 0 2 0 .2
	cull twosided
	{
		map textures/dlux2/unitflag.tga
		alphafunc ge128		
		rgbGen vertex
	}
	{
		map $lightmap
		blendfunc gl_zero gl_one
		rgbgen identity
		depthfunc equal
	}

}

textures/dlux2/cable1
{
	qer_editorimage textures/dlux2/cable1.tga
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	implicitMask textures/dlux2/cable1.tga
}

textures/dlux2/cable1_thin
{
	qer_editorimage textures/dlux2/cable1_thin.tga
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	implicitMask textures/dlux2/cable1_thin.tga
}

textures/dlux2/brick
{
	qer_editorimage textures/dlux2/brick.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dlux2/brick.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/dlux2/ossis
{
	qer_editorimage textures/dlux2/DDR.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dlux2/DDR.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/dlux2/traintarget1
{
	qer_editorimage textures/dlux2/traintarget1.jpg
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dlux2/traintarget1.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/dlux2/traintarget2
{
	qer_editorimage textures/dlux2/traintarget2.jpg
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dlux2/traintarget2.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/dlux2/unit_it
{
	qer_editorimage textures/dlux2/unit_it.jpg
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dlux2/unit_it.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/dlux2/kommandantur
{
	qer_editorimage textures/dlux2/kommandantur.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dlux2/kommandantur.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/dlux2/fog
{
	qer_editorimage textures/sfx/fog_grey1.tga
	
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm fog
	
	fogparms ( 0.4 0.4 0.4 ) 4100
}


textures/dlux2/keycard_ent
{
	qer_editorimage textures/dlux2/keycard_ent.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dlux2/keycard_ent.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/dlux2/grass
{
	qer_editorimage textures/dlux2/grass.jpg
	surfaceparm grasssteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dlux2/grass.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/dlux2/gravel
{
	qer_editorimage textures/dlux2/gravel.jpg
	surfaceparm gravelsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dlux2/gravel.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/dlux2/paving
{
	qer_editorimage textures/dlux2/paving.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dlux2/paving.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/dlux2/tiles
{
	qer_editorimage textures/dlux2/tiles.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dlux2/tiles.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


textures/dlux2/wellblech
{
	qer_editorimage textures/dlux2/wellblech.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dlux2/wellblech.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/dlux2/unit_me
{
	qer_editorimage textures/dlux2/unit_me.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dlux2/unit_me.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}	
}

textures/dlux2/doorcontrols
{
	qer_editorimage textures/dlux2/doorcontrols.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dlux2/doorcontrols.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


textures/dlux2/winlight
{
	qer_editorimage textures/dlux2/win2.jpg
	q3map_surfacelight 300
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dlux2/win2.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/dlux2/win2_blend.jpg
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/dlux2/win
{
	qer_editorimage textures/dlux2/win1.jpg
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dlux2/win1.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/dlux2/bomber
{
	qer_editorimage textures/dlux2/bomber.tga
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	implicitMask textures/dlux2/bomber.tga
}


//MODELS

models/dlux/gastank
{
    q3map_lightmapsamplesize 8
    q3map_lightmapGamma .25
	qer_editorimage models/dlux/gastank.tga
	{
      map $lightmap
      rgbGen identity
    }
    {
      map models/dlux/gastank.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen identity
    }

}

models/dlux/keycard
{
    q3map_lightmapsamplesize 8
    q3map_lightmapGamma .25
	qer_editorimage models/dlux/keycard.tga
	{
      map $lightmap
      rgbGen identity
    }
    {
      map models/dlux/keycard.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen identity
    }

}



//Limbo Menu

textures/dlux2/keycard_lmb
{
	nomipmaps
	nopicmip
	{
		map textures/dlux2/keycard_lmb.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

//TRee Test

textures/dlux2/treeleaves1
{
	nopicmip
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/tree_temperate_sd/leaves_temperate1.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	implicitMask -
	map models/mapobjects/tree_temperate_sd/leaves_temperate1.tga
    {
      map models/mapobjects/tree_temperate_sd/leaves_temperate1.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen identity
    }
}

textures/dlux2/treeleaves2
{
	nopicmip
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/tree_temperate_sd/leaves_temperate2.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	implicitMask -
	map models/mapobjects/tree_temperate_sd/leaves_temperate2.tga
    {
      map models/mapobjects/tree_temperate_sd/leaves_temperate2.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen identity
    }	
}

textures/dlux2/treeleaves3
{
	nopicmip
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/tree_temperate_sd/leaves_temperate3.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	implicitMask -
	map models/mapobjects/tree_temperate_sd/leaves_temperate3.tga
    {
      map models/mapobjects/tree_temperate_sd/leaves_temperate3.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen identity
    }	
}


